'Ŀ
' Type Definitionen                                                      
'
 
'$DYNAMIC

TYPE WindowType
   Caption AS STRING * 40
   BackColor AS LONG
   High AS INTEGER
   Widh AS INTEGER
   PosX AS INTEGER
   PosY AS INTEGER
   State AS INTEGER
   Visible AS INTEGER
END TYPE

TYPE TextFieldType
   Caption AS STRING * 255
   BackColor AS LONG
   ForeColor AS LONG
   Widh AS INTEGER
   PosX AS INTEGER
   PosY AS INTEGER
   State AS INTEGER
   InWindow AS INTEGER
END TYPE

TYPE CheckBoxType
   Art AS INTEGER
   Caption AS STRING * 20
   ForeColor AS LONG
   PosX AS INTEGER
   PosY AS INTEGER
   State AS INTEGER
   InWindow AS INTEGER
END TYPE

TYPE ButtonType
   Caption AS STRING * 20
   High AS INTEGER
   Widh AS INTEGER
   PosX AS INTEGER
   PosY AS INTEGER
   Alignment AS INTEGER
   State AS INTEGER
   InWindow AS INTEGER
END TYPE

TYPE ScrollBarType
   Direction AS INTEGER
   Min AS DOUBLE
   Max AS DOUBLE
   Value AS DOUBLE
   Tip AS DOUBLE
   High AS INTEGER
   Widh AS INTEGER
   PosX AS INTEGER
   PosY AS INTEGER
   State AS INTEGER
   InWindow AS INTEGER
END TYPE

TYPE PercentBarType
   Art AS INTEGER
   Value AS INTEGER
   High AS INTEGER
   Widh AS INTEGER
   PosX AS INTEGER
   PosY AS INTEGER
   InWindow AS INTEGER
END TYPE

TYPE LabelType
   Caption AS STRING * 255
   BackColor AS LONG
   ForeColor AS LONG
   High AS INTEGER
   Widh AS INTEGER
   PosX AS INTEGER
   PosY AS INTEGER
   Border AS INTEGER
   Alignment AS INTEGER
   InWindow AS INTEGER
END TYPE

TYPE FrameType
   Caption AS STRING * 80
   ForeColor AS LONG
   High AS INTEGER
   Widh AS INTEGER
   PosX AS INTEGER
   PosY AS INTEGER
   InWindow AS INTEGER
END TYPE

TYPE PictureType
   High AS INTEGER
   Widh AS INTEGER
   PosX AS INTEGER
   PosY AS INTEGER
   Source AS STRING * 80
   Border AS INTEGER
   InWindow AS INTEGER
END TYPE

TYPE TextBoxType
   Caption AS STRING * 255
   Index AS INTEGER
   Entrys AS INTEGER
   BackColor AS LONG
   ForeColor AS LONG
   High AS INTEGER
   Widh AS INTEGER
   PosX AS INTEGER
   PosY AS INTEGER
   Border AS INTEGER
   Alignment AS INTEGER
   InWindow AS INTEGER
END TYPE

TYPE RegType
     ax    AS INTEGER
     bx    AS INTEGER
     cx    AS INTEGER
     dx    AS INTEGER
     bp    AS INTEGER
     si    AS INTEGER
     di    AS INTEGER
     flags AS INTEGER
     ds    AS INTEGER
     es    AS INTEGER
END TYPE

DECLARE SUB EpsDrawTextBox (Number AS INTEGER)
DECLARE SUB EpsDrawTextField (Number AS INTEGER)
DECLARE SUB EpsDrawPicture (Number AS INTEGER)
DECLARE SUB EpsDrawPercentBar (Number AS INTEGER)
DECLARE SUB EpsDrawScrollBar (Number AS INTEGER)
DECLARE SUB EpsDrawCheckBox (Number AS INTEGER)
DECLARE SUB EpsDrawFrame (Number AS INTEGER)
DECLARE SUB EpsDrawButton (Number AS INTEGER)
DECLARE SUB EpsDrawWindow (Number AS INTEGER)
DECLARE SUB EpsDrawLabel (Number AS INTEGER)
DECLARE SUB EpsDrawScreen ()
DECLARE SUB EpsInitialize ()
DECLARE SUB EpsDefineElements ()
DECLARE SUB EpsMainLoop ()
DECLARE SUB Interrupt (Intnum AS INTEGER, Inreg AS RegType, Outreg AS RegType)

'Ŀ
' Definitionen, Konstanten, Include's etc.                               
'

   CONST True = -1, False = NOT True
   CONST TrueOn = True, TrueOff = -2, FalseOn = NOT True, FalseOff = 1
   CONST Left = 1, Right = 2, Center = 3, None = 4
   CONST Pressed = 2

   COMMON SHARED ScreenDimX AS INTEGER
   COMMON SHARED ScreenDimY AS INTEGER
   COMMON SHARED Fail AS INTEGER

   COMMON SHARED MouseShape AS STRING * 256
   COMMON SHARED MX, MY, MB, MXo, MYo, MBo, MS AS INTEGER
   COMMON SHARED T AS DOUBLE
   COMMON SHARED MainKey$
   COMMON SHARED PaletteName$
   COMMON SHARED FontName$

   COMMON SHARED DesktopColor AS LONG
   COMMON SHARED White AS LONG
   COMMON SHARED LightGrey AS LONG
   COMMON SHARED Grey AS LONG
   COMMON SHARED DarkGrey AS LONG
   COMMON SHARED Black AS LONG
   COMMON SHARED Marker AS LONG

   COMMON SHARED StableWindow AS INTEGER
   COMMON SHARED MaxAWindow AS INTEGER
   COMMON SHARED MaxTextField AS INTEGER
   COMMON SHARED MaxCheckBox  AS INTEGER
   COMMON SHARED MaxButton AS INTEGER
   COMMON SHARED MaxScrollBar AS INTEGER
   COMMON SHARED MaxPercentBar AS INTEGER
   COMMON SHARED MaxLabel AS INTEGER
   COMMON SHARED MaxFrame AS INTEGER
   COMMON SHARED MaxPicture AS INTEGER
   COMMON SHARED MaxTextBox AS INTEGER

   COMMON SHARED PressedTextField AS INTEGER
   COMMON SHARED PressedButton AS INTEGER
   COMMON SHARED PressedCheckBox AS INTEGER
   COMMON SHARED PressedScrollBar AS INTEGER
   COMMON SHARED PressedTextBox AS INTEGER
   COMMON SHARED PressedPicture AS INTEGER
   COMMON SHARED PressedLabel AS INTEGER

   COMMON SHARED AWindow() AS WindowType
   COMMON SHARED Win() AS INTEGER
   COMMON SHARED TextField() AS TextFieldType
   COMMON SHARED CheckBox() AS CheckBoxType
   COMMON SHARED Button() AS ButtonType
   COMMON SHARED ScrollBar() AS ScrollBarType
   COMMON SHARED PercentBar() AS PercentBarType
   COMMON SHARED Label() AS LabelType
   COMMON SHARED Frame() AS FrameType
   COMMON SHARED Picture() AS PictureType
   COMMON SHARED TextBox() AS TextBoxType
   COMMON SHARED Reg AS RegType

   DEFINT A-Z

   ScreenDimX = 800                    '---> Bildschirm Dimensionen
   ScreenDimY = 600

   DesktopColor = 2                    '---> wir nutzen eine optimierte 256
   White = 8                           '     Farben - "Paint Shop Pro" Palette
   LightGrey = 7                       '     die von der EpsInitialize Routine
   Grey = 6                            '     geladen wird.
   DarkGrey = 3
   Black = 0
   Marker = 79

   MainKey$ = CHR$(27)                 '---> Notfalltaste (ESCape)
   FontName$ = "EPS-GUI.FNT"
   PaletteName$ = "EPS-GUI.PAL"

   StableWindow = False
   MaxAWindow = 10                     '---> Maximum jedes Elements
   MaxTextField = 10
   MaxCheckBox = 10
   MaxButton = 10
   MaxScrollBar = 10
   MaxPercentBar = 10
   MaxLabel = 20
   MaxFrame = 10
   MaxPicture = 30
   MaxTextBox = 10

   OPTION BASE 0
 
   DIM SHARED AWindow(MaxAWindow) AS WindowType
   DIM SHARED Win(MaxAWindow + 1) AS INTEGER
   DIM SHARED TextField(MaxTextField) AS TextFieldType
   DIM SHARED CheckBox(MaxCheckBox) AS CheckBoxType
   DIM SHARED Button(MaxButton) AS ButtonType
   DIM SHARED ScrollBar(MaxScrollBar) AS ScrollBarType
   DIM SHARED PercentBar(MaxPercentBar) AS PercentBarType
   DIM SHARED Label(MaxLabel) AS LabelType
   DIM SHARED Frame(MaxFrame) AS FrameType
   DIM SHARED Picture(MaxPicture) AS PictureType
   DIM SHARED TextBox(MaxTextBox) AS TextBoxType

